/* $Id$ */

/** Tools for module lgl.
 *
 * \file lglTools.i
 * \ingroup lgl
 */   

%{

#include <sstream>

%}

%inline %{

namespace jafar {
  namespace lgl {


    /** Template print function which calls the output operator<< of A
     * and returns the resulting string.
     */
    template<class A>
    std::string print(const A& a_) {
      std::ostringstream os;
      os << a_ << std::endl;
      return os.str();
    };

  } // namespace lgl
} // namespace jafar

%}


