/**
 * \file QuadtreeMatrix.cpp
 *
 * Source file defining quadtree matrices
 *
 * \author Redouane Boumghar, Hung Cao
 *
 * \ingroup lgl
 *
 **/

#include <lgl/QuadtreeMatrix.hpp>

using namespace jafar::lgl;

QuadMat::QuadMat(ssize_t xsize,ssize_t ysize) {
  mat.resize(0, xsize,0, ysize,true); 
}

QuadMat::~QuadMat() {

}
	 
ssize_t QuadMat::nbLeaves() {

  ssize_t count = 0;
  for (mat_t::iterator it(mat.begin());it!=mat.end();it++) {
	 if (*it == true) {
		count++;
	 }
  }
  return count;

}
